X509_ACERT_ADD_ATTR_NCONF(3ossl)

NAME
X509_ACERT_add_attr_nconf - Add attributes to X509_ACERT from configuration section

SYNOPSIS
 #include <openssl/x509_acert.h>

 int X509_ACERT_add_attr_nconf(CONF *conf, const char *section,
                               X509_ACERT *acert);

DESCRIPTION
X509_ACERT_add_attr_nconf() adds one or more X509_ATTRIBUTEs to the existing X509_ACERT structure acert. The attributes are read from a section of the conf object.

The give section of the configuration should contain attribute descriptions of the form:

  attribute_name = value

The format of value will vary depending on the attribute_name. value can either be a string value or an ASN1_TYPE object.

To encode an ASN1_TYPE object, use the prefix "ASN1:" followed by the object description that uses the same syntax as ASN1_generate_nconf(3). For example:

 id-aca-group = ASN1:SEQUENCE:ietfattr

 [ietfattr]
 values = SEQUENCE:groups

 [groups]
 1.string = UTF8:mygroup1

RETURN VALUES
X509_ACERT_add_attr_nconf() returns 1 for success and 0 for failure.

SEE ALSO
ASN1_generate_nconf(3).

HISTORY
The function X509_ACERT_add_attr_nconf() was added in OpenSSL 3.4.

COPYRIGHT
Copyright 2023-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.